Make itunes think i have 2.2.1?

Discussion in 'iOS Jailbreak & Cydia' started by Noogums, Feb 13, 2009.

  1. Noogums

    Noogums New Member

    Joined:
    Jan 2, 2008
    Messages:
    194
    Likes Received:
    1
    Device:
    iPod touch
    I have a 2.2 JB now, and i realllly dont wanna go through that again just for 2.2.1. Theres an app i want that says it requires 2.2.1 update. I tried using "FWChanger" and set it for 2.2.1 with no build and it still came up as 2.2 in itunes. Is there anyway i could make itunes think i have 2.2.1?
  2. nikj14

    nikj14 Active Member

    Joined:
    Sep 4, 2008
    Messages:
    1,313
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    try adding the build too, ive done that before and it tricked my computer.
  3. jpga13

    jpga13 Banned

    Joined:
    Dec 4, 2007
    Messages:
    11,591
    Likes Received:
    435
    Device:
    iPad 3
    do it manually by changing the systemversion.plist
  4. Noogums

    Noogums New Member

    Joined:
    Jan 2, 2008
    Messages:
    194
    Likes Received:
    1
    Device:
    iPod touch
    What number? Just make something up?

    How would i do that? Wheres it located?
  5. jpga13

    jpga13 Banned

    Joined:
    Dec 4, 2007
    Messages:
    11,591
    Likes Received:
    435
    Device:
    iPad 3
    System/Library/Coreservices
  6. Noogums

    Noogums New Member

    Joined:
    Jan 2, 2008
    Messages:
    194
    Likes Received:
    1
    Device:
    iPod touch
    How would i change it?
  7. jpga13

    jpga13 Banned

    Joined:
    Dec 4, 2007
    Messages:
    11,591
    Likes Received:
    435
    Device:
    iPad 3
    SSH, copy to desktop, open with text editor, edit it, then overwrite
  8. Noogums

    Noogums New Member

    Joined:
    Jan 2, 2008
    Messages:
    194
    Likes Received:
    1
    Device:
    iPod touch
    edit which part? Cause it says 2.2.1 now...

    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>ProductBuildVersion</key>
    <string></string>
    <key>ProductCopyright</key>
    <string>1983-2008 Apple Inc.</string>
    <key>ProductName</key>
    <string>iPhone OS</string>
    <key>ProductVersion</key>
    <string>2.2.1</string>
    </dict>
    </plist>
  9. NeSEncHo

    NeSEncHo Active Member

    Joined:
    Jul 16, 2008
    Messages:
    1,322
    Likes Received:
    0
    Add the Build Version. 5H11 for 1st Gen, and 5H11a for 2nd Gen.
  10. Noogums

    Noogums New Member

    Joined:
    Jan 2, 2008
    Messages:
    194
    Likes Received:
    1
    Device:
    iPod touch
    Where should i add it? Just right after "2.2.1"? Any parentheses?

Share This Page